This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 673786

Summary: Rename Request: mingw32-binutils -> mingw-binutils - Cross-compiled version of binutils for Win32 and Win64 environments
Product: [Fedora] Fedora Reporter: Erik van Pienbroek <erik-fedora>
Component: Package ReviewAssignee: Erik van Pienbroek <erik-fedora>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-mingw, fedora-package-review, notting, rc040203
Target Milestone: ---Flags: erik-fedora: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: mingw-SDL-1.2.13-14.fc17 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-03-11 21:44:13 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 673784    
Bug Blocks:    

Description Erik van Pienbroek 2011-01-30 10:57:36 EST
Spec URL: http://svn.openftd.org/svn/fedora_cross/cross-binutils/cross-binutils.spec
SRPM URL: http://build1.openftd.org/fedora-cross/src/cross-binutils-2.21.51.0.4-3.fc15_cross.src.rpm
Description:
Cross compiled binutils (utilities like 'strip', 'as', 'ld') which
understand Windows executables and DLLs.

This is a rename request as it will replace the original mingw32-binutils
package. For more details and a link to a testing repository, see
https://fedoraproject.org/wiki/Features/CrossCompilerFramework and
https://fedoraproject.org/wiki/PackagingDrafts/CrossCompilerFramework
Comment 1 Ralf Corsepius 2011-01-30 12:21:52 EST
Renaming a mingw-binutils package into cross-binutils doesn't make sense.

I am willing to reject this request.
Comment 2 Erik van Pienbroek 2011-04-23 08:39:33 EDT
The FPC has agreed in the meeting of April 13 to approve packaging guidelines
where the prefix 'mingw-' will be used for source rpms for MinGW packages (for
both Win32 and Win64 targets). Due to this, this package will be renamed to
'mingw-binutils'.

Spec URL:
http://svn.openftd.org/svn/fedora_cross/mingw-binutils/mingw-binutils.spec
SRPM URL:
http://ftd4linux.nl/contrib/mingw-binutils-2.21.51.0.8-2.fc15.src.rpm

* Thu Apr 14 2011 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.21.51.0.8-2
- Made the package compliant with the new packaging guidelines
Comment 4 Erik van Pienbroek 2012-03-06 07:31:31 EST
This request is part of the plan to rename all mingw32-* packages to mingw-* as
part of the new MinGW packaging guidelines:
https://fedoraproject.org/wiki/Packaging:MinGW_Future#Package_naming

At the FESCO meeting of March 5 2012 an exception was granted to allow this
rename without requiring a re-review: https://fedorahosted.org/fesco/ticket/812

New Package SCM Request
=======================
Package Name: mingw-gcc
Short Description: MinGW Windows cross-compiler (GCC) for C
Owners: rjones epienbro kalev ktietz
Branches: f17
InitialCC: mingwmaint
Comment 5 Erik van Pienbroek 2012-03-06 07:33:17 EST
The previous scm request was invalid, here's the correct one:

New Package SCM Request
=======================
Package Name: mingw-binutils
Short Description: MinGW Windows binutils
Owners: rjones epienbro kalev ktietz
Branches: f17
InitialCC: mingwmaint
Comment 6 Jon Ciesla 2012-03-06 08:03:00 EST
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-03-10 10:53:23 EST
mingw-SDL-1.2.13-14.fc17,mingw-SDL_image-1.2.12-4.fc17,mingw-SDL_mixer-1.2.11-7.fc17,mingw-atk-2.3.93-1.fc17,mingw-atkmm-2.22.6-2.fc17,mingw-binutils-2.22.52-3.fc17,mingw-boost-1.48.0-6.fc17,mingw-bzip2-1.0.5-12.fc17,mingw-cairo-1.10.2-10.fc17,mingw-cairomm-1.10.0-5.fc17,mingw-celt051-0.5.1.3-8.fc17,mingw-cppunit-1.12.1-9.fc17,mingw-crt-2.0.999-0.5.trunk.20120224.fc17,mingw-curl-7.20.1-7.fc17,mingw-dbus-1.4.6-5.fc17,mingw-dirac-1.0.2-8.fc17,mingw-dlfcn-0-0.12.r11.fc17,mingw-enchant-1.6.0-4.fc17,mingw-expat-2.0.1-11.fc17,mingw-filesystem-95-3.fc17,mingw-fontconfig-2.8.0-6.fc17,mingw-freeglut-2.6.0-0.5.rc1.fc17,mingw-freetype-2.4.8-4.fc17,mingw-gcc-4.7.0-0.9.20120224.fc17,mingw-gdbm-1.8.0-9.fc17,mingw-gdk-pixbuf-2.25.2-4.fc17,mingw-gettext-0.18.1.1-7.fc17,mingw-glib-networking-2.31.16-2.fc17,mingw-glib2-2.31.20-1.fc17,mingw-glibmm24-2.31.2-4.fc17,mingw-gnutls-2.12.14-6.fc17,mingw-gstreamer-0.10.35-5.fc17,mingw-gtk-vnc-0.5.0-6.fc17,mingw-gtk2-2.24.10-4.fc17,mingw-gtkhtml3-3.32.2-7.fc17,mingw-gtkmm24-2.24.2-5.fc17,mingw-headers-2.0.999-0.5.trunk.20120224.fc17,mingw-hunspell-1.3.2-5.fc17,mingw-jasper-1.900.1-17.fc17,mingw-libffi-3.0.11-0.1.rc2.fc17,mingw-libgcrypt-1.4.4-9.fc17,mingw-libgeotiff-1.3.0-0.5.svn1664.fc17,mingw-libglade2-2.6.4-12.fc17,mingw-libglademm24-2.6.7-15.fc17,mingw-libgnurx-2.5.1-11.fc17,mingw-libgpg-error-1.6-17.fc17,mingw-libidn-1.14-12.fc17,mingw-libltdl-2.4-6.fc17,mingw-libogg-1.1.4-6.fc17,mingw-liboil-0.3.16-6.fc17,mingw-libp11-0.2.8-4.fc17,mingw-libpng-1.5.7-3.fc17,mingw-libsigc++20-2.2.10-5.fc17,mingw-libsigsegv-2.6-5.fc17,mingw-libsoup-2.37.90-2.fc17,mingw-libsqlite3x-20071018-15.fc17,mingw-libssh2-1.1-10.fc17,mingw-libtiff-3.9.5-6.fc17,mingw-libvirt-0.9.10-4.fc17,mingw-libxml++-2.34.2-5.fc17,mingw-libxml2-2.7.8-6.fc17,mingw-libxslt-1.1.26-8.fc17,mingw-libzip-0.9-6.fc17,mingw-matahari-0.5.0-1.fc17.4,mingw-nsis-2.46-7.fc17,mingw-openjpeg-1.3-9.fc17,mingw-opensc-0.12.2-4.fc17,mingw-openssl-1.0.0d-5.fc17,mingw-p11-kit-0.10-3.fc17,mingw-pango-1.29.5-3.fc17,mingw-pangomm-2.28.3-5.fc17,mingw-pcre-8.10-8.fc17,mingw-pdcurses-3.4-11.fc17,mingw-pixman-0.24.4-2.fc17,mingw-plotmm-0.1.2-13.fc17,mingw-portablexdr-4.9.1-7.fc17,mingw-proj-4.6.1-8.fc17,mingw-pthreads-2.8.0-20.20110511cvs.fc17,mingw-qpid-cpp-0.14-3.fc17,mingw-qt-4.8.0-7.fc17,mingw-qwt-5.2.1-7.fc17,mingw-readline-5.2-11.fc17,mingw-sigar-1.6.5-0.8.git58097d9.fc17,mingw-sqlite-3.7.9-4.fc17,mingw-srvany-1.0-8.fc17,mingw-tcl-8.5.11-4.fc17,mingw-termcap-1.3.1-12.fc17,mingw-tk-8.5.9-6.fc17,mingw-webkitgtk-1.7.5-6.fc17,mingw-wpcap-4.1.final2-6.fc17,mingw-xerces-c-3.1.1-5.fc17,mingw-zfstream-20041202-13.fc17,mingw-zlib-1.2.5-9.fc17,mingw-nsiswrapper-9-3.fc17,mingw-cxxtest-3.10.1-9.fc17,mingw-crossreport-8-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mingw-SDL-1.2.13-14.fc17,mingw-SDL_image-1.2.12-4.fc17,mingw-SDL_mixer-1.2.11-7.fc17,mingw-atk-2.3.93-1.fc17,mingw-atkmm-2.22.6-2.fc17,mingw-binutils-2.22.52-3.fc17,mingw-boost-1.48.0-6.fc17,mingw-bzip2-1.0.5-12.fc17,mingw-cairo-1.10.2-10.fc17,mingw-cairomm-1.10.0-5.fc17,mingw-celt051-0.5.1.3-8.fc17,mingw-cppunit-1.12.1-9.fc17,mingw-crt-2.0.999-0.5.trunk.20120224.fc17,mingw-curl-7.20.1-7.fc17,mingw-dbus-1.4.6-5.fc17,mingw-dirac-1.0.2-8.fc17,mingw-dlfcn-0-0.12.r11.fc17,mingw-enchant-1.6.0-4.fc17,mingw-expat-2.0.1-11.fc17,mingw-filesystem-95-3.fc17,mingw-fontconfig-2.8.0-6.fc17,mingw-freeglut-2.6.0-0.5.rc1.fc17,mingw-freetype-2.4.8-4.fc17,mingw-gcc-4.7.0-0.9.20120224.fc17,mingw-gdbm-1.8.0-9.fc17,mingw-gdk-pixbuf-2.25.2-4.fc17,mingw-gettext-0.18.1.1-7.fc17,mingw-glib-networking-2.31.16-2.fc17,mingw-glib2-2.31.20-1.fc17,mingw-glibmm24-2.31.2-4.fc17,mingw-gnutls-2.12.14-6.fc17,mingw-gstreamer-0.10.35-5.fc17,mingw-gtk-vnc-0.5.0-6.fc17,mingw-gtk2-2.24.10-4.fc17,mingw-gtkhtml3-3.32.2-7.fc17,mingw-gtkmm24-2.24.2-5.fc17,mingw-headers-2.0.999-0.5.trunk.20120224.fc17,mingw-hunspell-1.3.2-5.fc17,mingw-jasper-1.900.1-17.fc17,mingw-libffi-3.0.11-0.1.rc2.fc17,mingw-libgcrypt-1.4.4-9.fc17,mingw-libgeotiff-1.3.0-0.5.svn1664.fc17,mingw-libglade2-2.6.4-12.fc17,mingw-libglademm24-2.6.7-15.fc17,mingw-libgnurx-2.5.1-11.fc17,mingw-libgpg-error-1.6-17.fc17,mingw-libidn-1.14-12.fc17,mingw-libltdl-2.4-6.fc17,mingw-libogg-1.1.4-6.fc17,mingw-liboil-0.3.16-6.fc17,mingw-libp11-0.2.8-4.fc17,mingw-libpng-1.5.7-3.fc17,mingw-libsigc++20-2.2.10-5.fc17,mingw-libsigsegv-2.6-5.fc17,mingw-libsoup-2.37.90-2.fc17,mingw-libsqlite3x-20071018-15.fc17,mingw-libssh2-1.1-10.fc17,mingw-libtiff-3.9.5-6.fc17,mingw-libvirt-0.9.10-4.fc17,mingw-libxml++-2.34.2-5.fc17,mingw-libxml2-2.7.8-6.fc17,mingw-libxslt-1.1.26-8.fc17,mingw-libzip-0.9-6.fc17,mingw-matahari-0.5.0-1.fc17.4,mingw-nsis-2.46-7.fc17,mingw-openjpeg-1.3-9.fc17,mingw-opensc-0.12.2-4.fc17,mingw-openssl-1.0.0d-5.fc17,mingw-p11-kit-0.10-3.fc17,mingw-pango-1.29.5-3.fc17,mingw-pangomm-2.28.3-5.fc17,mingw-pcre-8.10-8.fc17,mingw-pdcurses-3.4-11.fc17,mingw-pixman-0.24.4-2.fc17,mingw-plotmm-0.1.2-13.fc17,mingw-portablexdr-4.9.1-7.fc17,mingw-proj-4.6.1-8.fc17,mingw-pthreads-2.8.0-20.20110511cvs.fc17,mingw-qpid-cpp-0.14-3.fc17,mingw-qt-4.8.0-7.fc17,mingw-qwt-5.2.1-7.fc17,mingw-readline-5.2-11.fc17,mingw-sigar-1.6.5-0.8.git58097d9.fc17,mingw-sqlite-3.7.9-4.fc17,mingw-srvany-1.0-8.fc17,mingw-tcl-8.5.11-4.fc17,mingw-termcap-1.3.1-12.fc17,mingw-tk-8.5.9-6.fc17,mingw-webkitgtk-1.7.5-6.fc17,mingw-wpcap-4.1.final2-6.fc17,mingw-xerces-c-3.1.1-5.fc17,mingw-zfstream-20041202-13.fc17,mingw-zlib-1.2.5-9.fc17,mingw-nsiswrapper-9-3.fc17,mingw-cxxtest-3.10.1-9.fc17,mingw-crossreport-8-2.fc17
Comment 8 Fedora Update System 2012-03-10 18:11:39 EST
mingw-SDL-1.2.13-14.fc17, mingw-SDL_image-1.2.12-4.fc17, mingw-SDL_mixer-1.2.11-7.fc17, mingw-atk-2.3.93-1.fc17, mingw-atkmm-2.22.6-2.fc17, mingw-binutils-2.22.52-3.fc17, mingw-boost-1.48.0-6.fc17, mingw-bzip2-1.0.5-12.fc17, mingw-cairo-1.10.2-10.fc17, mingw-cairomm-1.10.0-5.fc17, mingw-celt051-0.5.1.3-8.fc17, mingw-cppunit-1.12.1-9.fc17, mingw-crt-2.0.999-0.5.trunk.20120224.fc17, mingw-curl-7.20.1-7.fc17, mingw-dbus-1.4.6-5.fc17, mingw-dirac-1.0.2-8.fc17, mingw-dlfcn-0-0.12.r11.fc17, mingw-enchant-1.6.0-4.fc17, mingw-expat-2.0.1-11.fc17, mingw-filesystem-95-3.fc17, mingw-fontconfig-2.8.0-6.fc17, mingw-freeglut-2.6.0-0.5.rc1.fc17, mingw-freetype-2.4.8-4.fc17, mingw-gcc-4.7.0-0.9.20120224.fc17, mingw-gdbm-1.8.0-9.fc17, mingw-gdk-pixbuf-2.25.2-4.fc17, mingw-gettext-0.18.1.1-7.fc17, mingw-glib-networking-2.31.16-2.fc17, mingw-glib2-2.31.20-1.fc17, mingw-glibmm24-2.31.2-4.fc17, mingw-gnutls-2.12.14-6.fc17, mingw-gstreamer-0.10.35-5.fc17, mingw-gtk-vnc-0.5.0-6.fc17, mingw-gtk2-2.24.10-4.fc17, mingw-gtkhtml3-3.32.2-7.fc17, mingw-gtkmm24-2.24.2-5.fc17, mingw-headers-2.0.999-0.5.trunk.20120224.fc17, mingw-hunspell-1.3.2-5.fc17, mingw-jasper-1.900.1-17.fc17, mingw-libffi-3.0.11-0.1.rc2.fc17, mingw-libgcrypt-1.4.4-9.fc17, mingw-libgeotiff-1.3.0-0.5.svn1664.fc17, mingw-libglade2-2.6.4-12.fc17, mingw-libglademm24-2.6.7-15.fc17, mingw-libgnurx-2.5.1-11.fc17, mingw-libgpg-error-1.6-17.fc17, mingw-libidn-1.14-12.fc17, mingw-libltdl-2.4-6.fc17, mingw-libogg-1.1.4-6.fc17, mingw-liboil-0.3.16-6.fc17, mingw-libp11-0.2.8-4.fc17, mingw-libpng-1.5.7-3.fc17, mingw-libsigc++20-2.2.10-5.fc17, mingw-libsigsegv-2.6-5.fc17, mingw-libsoup-2.37.90-2.fc17, mingw-libsqlite3x-20071018-15.fc17, mingw-libssh2-1.1-10.fc17, mingw-libtiff-3.9.5-6.fc17, mingw-libvirt-0.9.10-4.fc17, mingw-libxml++-2.34.2-5.fc17, mingw-libxml2-2.7.8-6.fc17, mingw-libxslt-1.1.26-8.fc17, mingw-libzip-0.9-6.fc17, mingw-matahari-0.5.0-1.fc17.4, mingw-nsis-2.46-7.fc17, mingw-openjpeg-1.3-9.fc17, mingw-opensc-0.12.2-4.fc17, mingw-openssl-1.0.0d-5.fc17, mingw-p11-kit-0.10-3.fc17, mingw-pango-1.29.5-3.fc17, mingw-pangomm-2.28.3-5.fc17, mingw-pcre-8.10-8.fc17, mingw-pdcurses-3.4-11.fc17, mingw-pixman-0.24.4-2.fc17, mingw-plotmm-0.1.2-13.fc17, mingw-portablexdr-4.9.1-7.fc17, mingw-proj-4.6.1-8.fc17, mingw-pthreads-2.8.0-20.20110511cvs.fc17, mingw-qpid-cpp-0.14-3.fc17, mingw-qt-4.8.0-7.fc17, mingw-qwt-5.2.1-7.fc17, mingw-readline-5.2-11.fc17, mingw-sigar-1.6.5-0.8.git58097d9.fc17, mingw-sqlite-3.7.9-4.fc17, mingw-srvany-1.0-8.fc17, mingw-tcl-8.5.11-4.fc17, mingw-termcap-1.3.1-12.fc17, mingw-tk-8.5.9-6.fc17, mingw-webkitgtk-1.7.5-6.fc17, mingw-wpcap-4.1.final2-6.fc17, mingw-xerces-c-3.1.1-5.fc17, mingw-zfstream-20041202-13.fc17, mingw-zlib-1.2.5-9.fc17, mingw-nsiswrapper-9-3.fc17, mingw-cxxtest-3.10.1-9.fc17, mingw-crossreport-8-2.fc17, mingw-spice-protocol-0.8.0-4.fc17 has been pushed to the Fedora 17 testing repository.
Comment 9 Fedora Update System 2012-03-11 21:44:13 EDT
mingw-SDL-1.2.13-14.fc17, mingw-SDL_image-1.2.12-4.fc17, mingw-SDL_mixer-1.2.11-7.fc17, mingw-atk-2.3.93-1.fc17, mingw-atkmm-2.22.6-2.fc17, mingw-binutils-2.22.52-3.fc17, mingw-boost-1.48.0-6.fc17, mingw-bzip2-1.0.5-12.fc17, mingw-cairo-1.10.2-10.fc17, mingw-cairomm-1.10.0-5.fc17, mingw-celt051-0.5.1.3-8.fc17, mingw-cppunit-1.12.1-9.fc17, mingw-crt-2.0.999-0.5.trunk.20120224.fc17, mingw-curl-7.20.1-7.fc17, mingw-dbus-1.4.6-5.fc17, mingw-dirac-1.0.2-8.fc17, mingw-dlfcn-0-0.12.r11.fc17, mingw-enchant-1.6.0-4.fc17, mingw-expat-2.0.1-11.fc17, mingw-filesystem-95-3.fc17, mingw-fontconfig-2.8.0-6.fc17, mingw-freeglut-2.6.0-0.5.rc1.fc17, mingw-freetype-2.4.8-4.fc17, mingw-gcc-4.7.0-0.9.20120224.fc17, mingw-gdbm-1.8.0-9.fc17, mingw-gdk-pixbuf-2.25.2-4.fc17, mingw-gettext-0.18.1.1-7.fc17, mingw-glib-networking-2.31.16-2.fc17, mingw-glib2-2.31.20-1.fc17, mingw-glibmm24-2.31.2-4.fc17, mingw-gnutls-2.12.14-6.fc17, mingw-gstreamer-0.10.35-5.fc17, mingw-gtk-vnc-0.5.0-6.fc17, mingw-gtk2-2.24.10-4.fc17, mingw-gtkhtml3-3.32.2-7.fc17, mingw-gtkmm24-2.24.2-5.fc17, mingw-headers-2.0.999-0.5.trunk.20120224.fc17, mingw-hunspell-1.3.2-5.fc17, mingw-jasper-1.900.1-17.fc17, mingw-libffi-3.0.11-0.1.rc2.fc17, mingw-libgcrypt-1.4.4-9.fc17, mingw-libgeotiff-1.3.0-0.5.svn1664.fc17, mingw-libglade2-2.6.4-12.fc17, mingw-libglademm24-2.6.7-15.fc17, mingw-libgnurx-2.5.1-11.fc17, mingw-libgpg-error-1.6-17.fc17, mingw-libidn-1.14-12.fc17, mingw-libltdl-2.4-6.fc17, mingw-libogg-1.1.4-6.fc17, mingw-liboil-0.3.16-6.fc17, mingw-libp11-0.2.8-4.fc17, mingw-libpng-1.5.7-3.fc17, mingw-libsigc++20-2.2.10-5.fc17, mingw-libsigsegv-2.6-5.fc17, mingw-libsoup-2.37.90-2.fc17, mingw-libsqlite3x-20071018-15.fc17, mingw-libssh2-1.1-10.fc17, mingw-libtiff-3.9.5-6.fc17, mingw-libvirt-0.9.10-4.fc17, mingw-libxml++-2.34.2-5.fc17, mingw-libxml2-2.7.8-6.fc17, mingw-libxslt-1.1.26-8.fc17, mingw-libzip-0.9-6.fc17, mingw-matahari-0.5.0-1.fc17.4, mingw-nsis-2.46-7.fc17, mingw-openjpeg-1.3-9.fc17, mingw-opensc-0.12.2-4.fc17, mingw-openssl-1.0.0d-5.fc17, mingw-p11-kit-0.10-3.fc17, mingw-pango-1.29.5-3.fc17, mingw-pangomm-2.28.3-5.fc17, mingw-pcre-8.10-8.fc17, mingw-pdcurses-3.4-11.fc17, mingw-pixman-0.24.4-2.fc17, mingw-plotmm-0.1.2-13.fc17, mingw-portablexdr-4.9.1-7.fc17, mingw-proj-4.6.1-8.fc17, mingw-pthreads-2.8.0-20.20110511cvs.fc17, mingw-qpid-cpp-0.14-3.fc17, mingw-qt-4.8.0-7.fc17, mingw-qwt-5.2.1-7.fc17, mingw-readline-5.2-11.fc17, mingw-sigar-1.6.5-0.8.git58097d9.fc17, mingw-sqlite-3.7.9-4.fc17, mingw-srvany-1.0-8.fc17, mingw-tcl-8.5.11-4.fc17, mingw-termcap-1.3.1-12.fc17, mingw-tk-8.5.9-6.fc17, mingw-webkitgtk-1.7.5-6.fc17, mingw-wpcap-4.1.final2-6.fc17, mingw-xerces-c-3.1.1-5.fc17, mingw-zfstream-20041202-13.fc17, mingw-zlib-1.2.5-9.fc17, mingw-nsiswrapper-9-3.fc17, mingw-cxxtest-3.10.1-9.fc17, mingw-crossreport-8-2.fc17, mingw-spice-protocol-0.8.0-4.fc17 has been pushed to the Fedora 17 stable repository.
Comment 10 Erik van Pienbroek 2014-12-23 13:57:47 EST
Package Change Request
======================
Package Name: mingw-binutils
New Branches: el6
Owners: epienbro
InitialCC:
Comment 11 Jon Ciesla 2014-12-23 15:03:23 EST
Git done (by process-git-requests).